- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Interface IButtonControl

IButtonControl interface

IButtonControl specifies the common properties and events that must be implemented by a button control, such as TButton, TLinkButton, TImageButton.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
boolean | getCausesValidation ()
string | getCommandName ()
string | getCommandParameter ()
boolean | getIsDefaultButton ()
string | getText ()
string | getValidationGroup ()
void | onClick ( TEventParameter $param) Raises OnClick event.
void | onCommand ( TCommandEventParameter $param) Raises OnCommand event.
void | setCausesValidation ( boolean $value)
void | setCommandName ( string $value)
void | setCommandParameter ( string $value)
void | setIsDefaultButton ( boolean $value)
void | setText ( string $value)
void | setValidationGroup ( string $value)

Method Details

## getCausesValidation

public boolean getCausesValidation | ()

Output
boolean | whether postback event trigger by this button will cause input validation
Exception

## getCommandName

public string getCommandName | ()

Output
string | the command name associated with the OnCommand event.
Exception

## getCommandParameter

public string getCommandParameter | ()

Output
string | the parameter associated with the OnCommand event
Exception

## getIsDefaultButton

public boolean getIsDefaultButton | ()

Output
boolean | true if this button is registered as a default button for a panel.
Exception

## getText

public string getText | ()

Output
string | caption of the button
Exception

## getValidationGroup

public string getValidationGroup | ()

Output
string | the group of validators which the button causes validation upon postback
Exception

## onClick

public void onClick | (TEventParameter $param )

Raises OnClick event.

Input
TEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## onCommand

public void onCommand | (TCommandEventParameter $param )

Raises OnCommand event.

Input
TCommandEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## setCausesValidation

public void setCausesValidation | (boolean $value )

Input
boolean | $value | whether postback event trigger by this button will cause input validation
Output
Exception

## setCommandName

public void setCommandName | (string $value )

Input
string | $value | the command name associated with the OnCommand event.
Output
Exception

## setCommandParameter

public void setCommandParameter | (string $value )

Input
string | $value | the parameter associated with the OnCommand event.
Output
Exception

## setIsDefaultButton

public void setIsDefaultButton | (boolean $value )

Input
boolean | $value | set by a panel to register this button as the default button for the panel.
Output
Exception

## setText

public void setText | (string $value )

Input
string | $value | caption of the button
Output
Exception

## setValidationGroup

public void setValidationGroup | (string $value )

Input
string | $value | the group of validators which the button causes validation upon postback
Output
Exception